﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="BarcodeServer.aspx.cs" Inherits="BarcodeService.BarcodeServer" MaintainScrollPositionOnPostback="true" %>
<%@ Register Assembly="ExtendedDropDownList" Namespace="ExtendedDropDownList" TagPrefix="ExtendedDropDownList" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>TEC-IT Barcode Service</title>
    <style type="text/css">
        body, h1, h2, h3, td {
            font-family: Arial,Helvetica,sans-serif;
        }

        td {
            font-size: 9pt;
        }

        td.td-form-bg {
            background-color: #f0f0f0;
        }

        .auto-style1 {
            margin-bottom: 0px;
        }

        .auto-style3 {
            width: 69px;
        }

        .auto-style4 {
            height: 27px;
        }

        .auto-style5 {
            height: 27px;
            width: 104px;
        }

        .style5 {
            width: 100%;
        }
      .auto-style8 {
        height: 35px;
      }
      .auto-style10 {
        width: 104px;
        height: 35px;
      }
      .auto-style11 {
        width: 104px;
      }
      .auto-style12 {
        width: 443px;
      }
      .auto-style13 {
        height: 27px;
        width: 115px;
      }
      .auto-style14 {
        width: 115px;
        height: 35px;
      }
      .auto-style15 {
        width: 115px;
      }
    </style>
</head>
<body onload="scaleBarcode();" style="margin: 2em">
    <form id="form1" runat="server">
        <h1>TBarCode SDK Barcode Service</h1>
        <p>&nbsp;</p>

        <div>
            <table>
                <tr>
                    <td width="444px">
                        <table class="style5">
                            <%--left side--%>
                            <tr>
                                <td class="auto-style12">
                                    <h3>Barcode Type</h3>
                                    <p>
                                        <ExtendedDropDownList:GroupedDropDownList ID="BarcodeTypeDDL" runat="server" Height="20px" Width="333px" OnSelectedIndexChanged="SelectBarcodeType1" AutoPostBack="True"></ExtendedDropDownList:GroupedDropDownList>
                                    </p>
                                    <h3>Data</h3>
                                    <p>
                                        <asp:TextBox ID="TextBoxData" runat="server" MaxLength="255" Width="330px" Font-Size="Medium" Height="50px" TextMode="MultiLine" OnTextChanged="AdvOptionChanged" AutoPostBack="true">123456789</asp:TextBox>
                                    </p>
                                    <p>
                                        <asp:TextBox ID="TextBoxData2" runat="server" MaxLength="255" Width="330px" Font-Size="Medium" Height="50px" Visible="false" OnTextChanged="AdvOptionChanged" AutoPostBack="true" TextMode="MultiLine"></asp:TextBox>
                                    </p>
                                    <h3>Size</h3>
                                    <p>
                                        <asp:DropDownList ID="BarcodeSizeDDL" runat="server" Height="21px" Width="333px" OnSelectedIndexChanged="selectBarcodeSize" AutoPostBack="True"></asp:DropDownList>
                                    </p>
                                    <table cellpadding="2" cellspacing="1" border="0">
                                        <tr>
                                            <td class="auto-style3">
                                                <asp:Literal ID="LiteralSizeWidth" runat="server" Text="Width:" Visible="False"></asp:Literal></td>
                                            <td>
                                                <asp:TextBox ID="SizeWidth" runat="server" AutoCompleteType="Disabled" CssClass="td-form-bg" Height="20px" Width="170px" Visible="False" OnTextChanged="AdvOptionChanged" AutoPostBack="True"></asp:TextBox></td>
                                            <td>
                                                <asp:DropDownList ID="SizeUnitDDL" runat="server" Height="20px" Width="70px" CssClass="td-form-bg" Visible="False" OnSelectedIndexChanged="AdvOptionChanged" AutoPostBack="True">
                                                    <asp:ListItem Value="mm">mm</asp:ListItem>
                                                    <asp:ListItem Value="mils">mils</asp:ListItem>
                                                    <asp:ListItem Value="px">px</asp:ListItem>
                                                </asp:DropDownList></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style3">
                                                <asp:Literal ID="LiteralSizeHeight" runat="server" Text="Height:" Visible="False"></asp:Literal></td>
                                            <td>
                                                <asp:TextBox ID="SizeHeight" runat="server" Height="20px" Width="170px" CssClass="td-form-bg" Visible="False" OnTextChanged="AdvOptionChanged" AutoPostBack="True"></asp:TextBox></td>
                                            <td></td>
                                        </tr>
                                    </table>
                                    <h3>Advanced</h3>
                                    <table cellpadding="2" cellspacing="1" border="0">
                                        <tr>
                                            <td class="auto-style5">
                                                <asp:Literal ID="LiteralAdvDPI" runat="server" Text="Resolution:" Visible="true"></asp:Literal></td>
                                            <td class="auto-style13">
                                                <asp:DropDownList ID="AdvResolutionDDL" runat="server" Visible="true" OnSelectedIndexChanged="AdvDPIChanged" AutoPostBack="True">
                                                    <%--<asp:ListItem Value="72">72 dpi (BMP)</asp:ListItem> --%>
                                                    <asp:ListItem Value="96">96 dpi (Screen)</asp:ListItem>
                                                    <asp:ListItem Value="202">202 dpi (Thermo Transfer)</asp:ListItem>
                                                    <asp:ListItem Value="203">203 dpi (Thermo Transfer)</asp:ListItem>
                                                    <asp:ListItem Selected="True" Value="300">300 dpi</asp:ListItem>
                                                    <asp:ListItem Value="600">600 dpi</asp:ListItem>
                                                </asp:DropDownList></td>
                                            <td class="auto-style4"></td>
                                            <td class="auto-style4">
                                                <asp:LinkButton ID="AdvResolutionDefault" runat="server" OnClick="AdvResolutionDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style10">
                                                <asp:CheckBox ID="CheckBoxOptimize" runat="server" CssClass="td-form-bg" Text="" TextAlign="Left" Visible="true" Checked="true" OnCheckedChanged="AdvOptionChanged" AutoPostBack="true" /></td>
                                            <td class="auto-style14">Optimize module width</td>
                                            <td class="auto-style8"></td>
                                            <td class="auto-style8">
                                                <asp:LinkButton ID="AdvOptimizeDefault" runat="server" OnClick="AdvOptimizeDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvHRT" runat="server" Text="HRT:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvHRTTextField" runat="server" Visible="true" OnTextChanged="AdvOptionChanged" AutoPostBack="true"></asp:TextBox></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvHRTextDefault" runat="server" OnClick="AdvHRTextDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvRotation" runat="server" Text="Rotation:" Visible="true"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:DropDownList ID="AdvRotationDDL" runat="server" Visible="true" OnSelectedIndexChanged="AdvOptionChanged" AutoPostBack="True">
                                                    <asp:ListItem Value="0">0 °</asp:ListItem>
                                                    <asp:ListItem Value="90">90 °</asp:ListItem>
                                                    <asp:ListItem Value="180">180°</asp:ListItem>
                                                    <asp:ListItem Value="270">270°</asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvRotationDefault" runat="server" Visible="true" OnClick="AdvRotationDefault_Click">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvImageFormat" runat="server" Text="Image format:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:DropDownList ID="AdvImageFormatDDL" runat="server" Height="20px" Width="150px" CssClass="td-form-bg" Visible="true" OnSelectedIndexChanged="AdvOptionChanged" AutoPostBack="True">
                                                    <asp:ListItem Selected="True" Value="PNG">PNG (Default)</asp:ListItem>
                                                    <asp:ListItem Value="JPG">JPG</asp:ListItem>
                                                    <asp:ListItem Value="GIF">GIF</asp:ListItem>
                                                    <asp:ListItem Value="BMP">BMP</asp:ListItem>
                                                </asp:DropDownList></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvImageFormatDefault" runat="server" Visible="true" OnClick="AdvImageFormatDefault_Click">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:CheckBox ID="CheckBoxAdvShowHRT" runat="server" CssClass="td-form-bg" Text="" TextAlign="Left" Visible="true" Checked="true" OnCheckedChanged="AdvOptionChanged" AutoPostBack="true" />
                                            </td>
                                            <td class="auto-style15">Show human readable text</td>
                                            <td></td>
                                            <td rowspan="2">
                                                <asp:LinkButton ID="AdvHRTDefault" runat="server" OnClick="AdvHRTDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:CheckBox ID="CheckBoxAdvTextAbove" runat="server" CssClass="td-form-bg" Text="" TextAlign="Left" Visible="true" Checked="false" OnCheckedChanged="AdvOptionChanged" AutoPostBack="true" />
                                            </td>
                                            <td class="auto-style15">Show text above symbol</td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:CheckBox ID="CheckBoxAdvESC" runat="server" CssClass="td-form-bg" Text="" TextAlign="Left" Visible="true" OnCheckedChanged="AdvOptionChanged" AutoPostBack="true" /></td>
                                            <td class="auto-style15">
                                                <asp:Literal ID="LiteralCheckBoxAdvESC" runat="server" Text="Escape sequences"></asp:Literal></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvESCDefault" runat="server" OnClick="AdvESCDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralCodepage" runat="server" Text="Codepage:" Visible="true"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:DropDownList ID="DropDownListCodepage" runat="server" Height="20px" Width="150px" CssClass="td-form-bg" Visible="true" OnSelectedIndexChanged="AdvOptionChanged" AutoPostBack="True">
                                                    <%-- Values see: TECIT.TBarCode.CodePage --%>
                                                    <asp:ListItem Value="1">Default</asp:ListItem>
                                                    <asp:ListItem Value="3">Windows 1252</asp:ListItem>
                                                    <asp:ListItem Value="6" Selected="True">UTF-8</asp:ListItem>
                                                    <asp:ListItem Value="4">Latin-1</asp:ListItem>                                                                                                     
                                                    <asp:ListItem Value="8">Japanese Shift-JIS</asp:ListItem>
                                                    <asp:ListItem Value="9">Simplified Chinese</asp:ListItem>
                                                    <asp:ListItem Value="11">Cyrillic</asp:ListItem>
                                                </asp:DropDownList></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvCodepageDefault" runat="server" OnClick="AdvCodepageDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralEC" runat="server" Text="Error correction:" Visible="true"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:DropDownList ID="DropDownListEC" runat="server" Height="20px" Width="70px" CssClass="td-form-bg" Visible="true" OnSelectedIndexChanged="AdvOptionChanged" AutoPostBack="True">
                                                    <asp:ListItem Value="0">Low</asp:ListItem>
                                                    <asp:ListItem Value="1">Medium</asp:ListItem>
                                                    <asp:ListItem Value="2">Quartil</asp:ListItem>
                                                    <asp:ListItem Value="3">High</asp:ListItem>
                                                </asp:DropDownList></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvECDefault" runat="server" OnClick="AdvECDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvComposite" runat="server" Text="Composite:" Visible="false"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:DropDownList ID="BarcodeCompositeDDL" runat="server" CssClass="auto-style1" Height="20px" OnSelectedIndexChanged="selectBarcodeComposite" Visible="false" AutoPostBack="True">
                                                    <asp:ListItem Value="auto">auto</asp:ListItem>
                                                    <asp:ListItem Value="cca">cca</asp:ListItem>
                                                    <asp:ListItem Value="ccb">ccb</asp:ListItem>
                                                    <asp:ListItem Value="ccc">ccc</asp:ListItem>
                                                    <asp:ListItem Value="none">none</asp:ListItem>
                                                </asp:DropDownList></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvCompositeDefault" runat="server" OnClick="AdvCompositeDefault_Click" Visible="false">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvQuietzoneTop" runat="server" Text="Quietzone top:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvTextBoxQuietzoneTop" runat="server" MaxLength="25" Visible="true" OnTextChanged="AdvTextBoxQuietzoneTopChanged" AutoPostBack="true">0</asp:TextBox></td>
                                            <td>
                                                <asp:DropDownList ID="ADVQuietzoneUnit" runat="server" Height="20px" Width="70px" CssClass="td-form-bg" Visible="true" OnSelectedIndexChanged="AdvOptionChanged" AutoPostBack="True">
                                                    <asp:ListItem>mm</asp:ListItem>
                                                    <asp:ListItem>mils</asp:ListItem>
                                                    <asp:ListItem>px</asp:ListItem>
                                                    <asp:ListItem>inch</asp:ListItem>
                                                    <asp:ListItem>modules</asp:ListItem>
                                                </asp:DropDownList>&nbsp;</td>
                                            <td rowspan="4">
                                                <asp:LinkButton ID="AdvQuietzoneDefault" runat="server" OnClick="AdvQuietzoneDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvQuietzoneBottom" runat="server" Text="Quietzone bottom:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvTextBoxQuietzoneBottom" runat="server" MaxLength="25" Visible="true" OnTextChanged="AdvTextBoxQuietzoneBottomChanged" AutoPostBack="true">0</asp:TextBox></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvQuietzoneLeft" runat="server" Text="Quietzone left:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvTextBoxQuietzoneLeft" runat="server" MaxLength="25" Visible="true" OnTextChanged="AdvTextBoxQuietzoneLeftChanged" AutoPostBack="true">0</asp:TextBox></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvQuietzoneRight" runat="server" Text="Quietzone right:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvTextBoxQuietzoneRight" runat="server" MaxLength="25" Visible="true" OnTextChanged="AdvTextBoxQuietzoneRightChanged" AutoPostBack="true">0</asp:TextBox></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralBearerBarType" runat="server" Text="Bearer bar type:" Visible="true"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:DropDownList ID="BearerBarTypeDDL" runat="server" Height="20px" Width="120px" CssClass="td-form-bg" Visible="true" OnSelectedIndexChanged="AdvOptionChanged" AutoPostBack="True">
                                                    <asp:ListItem Value="">Default</asp:ListItem>
                                                    <asp:ListItem Value="horz">Horizontal</asp:ListItem>
                                                    <asp:ListItem Value="rect">Rectangle</asp:ListItem>
                                                    <asp:ListItem Value="none">None</asp:ListItem>
                                                </asp:DropDownList></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralBearerBarWidth" runat="server" Text="Bearer bar width:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="TextBoxBearerBarWidth" runat="server" MaxLength="25" Visible="true" OnTextChanged="TextBoxBearerBarWidthChanged" AutoPostBack="true"></asp:TextBox></td>
                                            <td>[mm]</td>
                                        </tr>

                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvForColor" runat="server" Text="Fore color:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvForeColerTextField" runat="server" MaxLength="21" Visible="true" OnTextChanged="AdvForeColerTextFieldChanged" AutoPostBack="true" ToolTip="RGB colors are specified in Hex format; CMYK colors are specified as cmyk(100,100,0,0)">000000</asp:TextBox></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvForeColorDefault" runat="server" OnClick="AdvForeColorDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvBackColor" runat="server" Text="Back color:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvBackColerTextField" runat="server" MaxLength="21" Visible="true" OnTextChanged="AdvBackColerTextFieldChanged" AutoPostBack="true" ToolTip="RGB colors are specified in Hex format; CMYK colors are specified as cmyk(100,100,0,0)">FFFFFF</asp:TextBox></td>

                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvBackColorDefault" runat="server" OnClick="AdvBackColorDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvFontColor" runat="server" Text="Font color:"></asp:Literal></td>
                                            <td class="auto-style15">
                                                <asp:TextBox ID="AdvFontColerTextField" runat="server" MaxLength="21" Visible="true" OnTextChanged="AdvFontColerTextFieldChanged" AutoPostBack="true" ToolTip="RGB colors are specified in Hex format; CMYK colors are specified as cmyk(100,100,0,0)">000000</asp:TextBox></td>
                                            <td></td>
                                            <td>
                                                <asp:LinkButton ID="AdvFontColorDefault" runat="server" OnClick="AdvFontColorDefault_Click" Visible="true">Default</asp:LinkButton></td>
                                        </tr>

                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvColorMode" runat="server" Text="EPS color format:"></asp:Literal></td>
                                            <td class="auto-style15" colspan="2">
                                              colormode=RGB (default) | CMYK</td>
                                            <td>Optional</td>
                                        </tr>
                                        <tr>
                                            <td class="auto-style11">
                                                <asp:Literal ID="LiteralAdvUseGDI" runat="server" Text="GDI (Azure):"></asp:Literal></td>
                                            <td class="auto-style15" colspan="2">
                                              usegdi=true (default) | false</td>
                                            <td>Optional</td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td valign="top" width="40px">
                      &nbsp;
                    </td>
                    <td valign="top" width="400px">
                        <table class="style5">
                            <%--middle--%>
                            <tr>
                                <td>
                                    <h3>Barcode Image</h3>
                                    <p>
                                        <asp:Image ID="ImageBarcode" runat="server" Visible="true" Style="visibility: hidden" />
                                    </p>
                                    <p>
                                        <asp:LinkButton ID="generateBarcode" runat="server" OnClick="GenerateBarcode_Click">Refresh Barcode</asp:LinkButton>
                                    </p>
                                    <br />
                                    <h3>Generate Barcode Service URL</h3>
                                    <table cellpadding="2" cellspacing="1" border="0">
                                        <tr>
                                            <td>
                                                <asp:Label ID="LabelCalculateURLFor" runat="server" Text="Calculate URL for:"></asp:Label></td>
                                            <td>
                                                <asp:DropDownList ID="DDLCalculateURLFor" runat="server" OnSelectedIndexChanged="CalculateURLFor" AutoPostBack="true">
                                                    <asp:ListItem Value="crystalreports" Selected="true">Crystal Reports</asp:ListItem>
                                                    <asp:ListItem Value="ssrs">SQL Server Reporting Services</asp:ListItem>
                                                    <asp:ListItem Value="default">URL</asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                        </tr>
                                    </table>
                                    <p>
                                        <asp:TextBox ID="BarcodeURLTextBox" runat="server" Width="330px" Visible="true" ReadOnly="true" Text="" Columns="4" Rows="5" TextMode="MultiLine"></asp:TextBox>
                                    </p>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <p>
              <%--
                <asp:LinkButton ID="LinkButtonDownload" runat="server" OnClick="LinkButtonDownload_Click" Visible="true">Documentation</asp:LinkButton>
              --%>
                <span style="font-size: 0.8em"><a href="//www.tec-it.com/Download/PDF/TBarCode_BarcodeServices_EN.pdf" target="TBarCode_BarcodeServices_EN.pdf">Documentation (PDF)</a></span>              
            </p>
            <p>
                <span style="font-size: 0.8em">(c) TEC-IT Datenverarbeitung GmbH - <a href="https://www.tec-it.com">https://www.tec-it.com</a></span>
            </p>
        </div>



        <%-- resizing image for displaying (96 dpi) --%>
        <script type="text/javascript" language="javascript">
            function scaleBarcode() {
                document.getElementById("ImageBarcode").style.visibility = "visible";
                var image = document.getElementById("ImageBarcode");
                var origw = image.naturalWidth;
                var origh = image.naturalHeigh;
                var dpilist = document.getElementById("AdvResolutionDDL");
                var selectedDPI = dpilist.options[dpilist.selectedIndex].value;
                image.width = Math.round(origw * (96.0 / selectedDPI));
                image.heigh = Math.round(origh * (96.0 / selectedDPI));
            }
        </script>
    </form>
</body>
</html>
